diff --git a/tests/test_solis.py b/tests/test_solis.py
index e2d6e1dd..3b8bf6ab 100644
--- a/tests/test_solis.py
+++ b/tests/test_solis.py
@@ -2,11 +2,11 @@
 
 import mock
 import pytest
-import utils
 from django.contrib.contenttypes.models import ContentType
 from django.core.files import File
 from django.utils.six import StringIO
 
+import tests.utils
 from passerelle.apps.solis.models import Solis, SolisAPALink, SolisRSALink, unflat
 from passerelle.base.models import AccessRight, ApiUser
 
@@ -88,7 +88,7 @@ def solis(db):
 
 def test_solis_restricted_access(app, solis):
     for service in ('apa-link', 'apa-unlink', 'rsa-link', 'rsa-unlink'):
-        endpoint = utils.generic_endpoint_url('solis', service, slug=solis.slug)
+        endpoint = tests.utils.generic_endpoint_url('solis', service, slug=solis.slug)
         assert endpoint == '/solis/test/%s' % service
         with mock.patch('passerelle.utils.Request.post') as requests_post:
             with mock.patch('passerelle.utils.Request.get') as requests_get:
@@ -99,7 +99,7 @@ def test_solis_restricted_access(app, solis):
                 resp = app.get(endpoint, status=405)
                 assert requests_get.call_count == 0
     for service in ('apa-links', 'apa-user-info', 'apa-users', 'rsa-links', 'rsa-user-info'):
-        endpoint = utils.generic_endpoint_url('solis', service, slug=solis.slug)
+        endpoint = tests.utils.generic_endpoint_url('solis', service, slug=solis.slug)
         assert endpoint == '/solis/test/%s' % service
         with mock.patch('passerelle.utils.Request.get') as requests_get:
             with mock.patch('passerelle.utils.Request.post') as requests_post:
@@ -114,7 +114,7 @@ def test_solis_restricted_access(app, solis):
 @pytest.fixture
 def ping_response():
     response_request = mock.Mock(headers={'Accept': '*/*'}, body=None)
-    return utils.FakedResponse(
+    return tests.utils.FakedResponse(
         headers={'Content-Type': 'text/plain'}, status_code=200, request=response_request
     )
 
@@ -127,7 +127,7 @@ def test_solis_ping(app, solis, ping_response):
         codename='can_access', apiuser=api, resource_type=obj_type, resource_pk=solis.pk
     )
 
-    endpoint = utils.generic_endpoint_url('solis', 'ping', slug=solis.slug)
+    endpoint = tests.utils.generic_endpoint_url('solis', 'ping', slug=solis.slug)
     with mock.patch('passerelle.utils.RequestSession.request') as requests_get:
         for bad_content in (
             'error',
@@ -198,7 +198,7 @@ def test_solis_apa_link_infos_unlink(app, solis):
     # link
     with mock.patch('passerelle.utils.Request.post') as requests_post:  # get solis token
         with mock.patch('passerelle.utils.Request.get') as requests_get:  # get solis informations
-            endpoint = utils.generic_endpoint_url('solis', 'apa-link', slug=solis.slug)
+            endpoint = tests.utils.generic_endpoint_url('solis', 'apa-link', slug=solis.slug)
             for params in (None, '', []):
                 resp = app.post_json(endpoint, params=params, status=200)
                 assert requests_post.call_count == 0
@@ -216,7 +216,7 @@ def test_solis_apa_link_infos_unlink(app, solis):
                 assert resp.json['err'] == 1
                 assert 'missing user_id/code credentials' in resp.json['err_desc']
 
-            requests_post.return_value = utils.FakedResponse(content=APATOKEN_403, status_code=403)
+            requests_post.return_value = tests.utils.FakedResponse(content=APATOKEN_403, status_code=403)
             resp = app.post_json(
                 endpoint, params={'user_id': 'x', 'code': 'x', 'name_id': NAMEID}, status=200
             )
@@ -227,8 +227,8 @@ def test_solis_apa_link_infos_unlink(app, solis):
 
             assert SolisAPALink.objects.count() == 0
 
-            requests_post.return_value = utils.FakedResponse(content=APATOKEN, status_code=200)
-            requests_get.return_value = utils.FakedResponse(
+            requests_post.return_value = tests.utils.FakedResponse(content=APATOKEN, status_code=200)
+            requests_get.return_value = tests.utils.FakedResponse(
                 content=APAINFOS['exportDonneesIndividu'], status_code=200
             )
             resp = app.post_json(
@@ -279,7 +279,7 @@ def test_solis_apa_link_infos_unlink(app, solis):
         'Mme Pecile PYPPENNE (NPYNEZ)',
         'Mme Pecile PYPPENNE (NPYNEZ)',
     ]
-    endpoint = utils.generic_endpoint_url('solis', 'apa-links', slug=solis.slug)
+    endpoint = tests.utils.generic_endpoint_url('solis', 'apa-links', slug=solis.slug)
     resp = app.get(endpoint, status=400)  # missing name_id
     assert resp.json['err'] == 1
     endpoint += '?name_id=%s' % NAMEID
@@ -292,9 +292,9 @@ def test_solis_apa_link_infos_unlink(app, solis):
     changed_name = APAINFOS['exportDonneesIndividu'].replace('PYPPENNE', 'PEPONE')
     with mock.patch('passerelle.utils.Request.get') as requests_get:
         with mock.patch('passerelle.utils.Request.post') as requests_post:
-            requests_post.return_value = utils.FakedResponse(content=APATOKEN, status_code=200)
-            requests_get.return_value = utils.FakedResponse(content=changed_name, status_code=200)
-            endpoint = utils.generic_endpoint_url('solis', 'apa-user-info', slug=solis.slug)
+            requests_post.return_value = tests.utils.FakedResponse(content=APATOKEN, status_code=200)
+            requests_get.return_value = tests.utils.FakedResponse(content=changed_name, status_code=200)
+            endpoint = tests.utils.generic_endpoint_url('solis', 'apa-user-info', slug=solis.slug)
             endpoint += '?name_id=%s&user_id=42' % NAMEID
             resp = app.get(endpoint, status=200)
             assert resp.json['err'] == 0
@@ -306,14 +306,14 @@ def test_solis_apa_link_infos_unlink(app, solis):
     for apa_endpoint in APAINFOS:
         with mock.patch('passerelle.utils.Request.get') as requests_get:
             with mock.patch('passerelle.utils.Request.post') as requests_post:
-                requests_post.return_value = utils.FakedResponse(content=APATOKEN, status_code=200)
+                requests_post.return_value = tests.utils.FakedResponse(content=APATOKEN, status_code=200)
 
-                endpoint_base = utils.generic_endpoint_url('solis', 'apa-user-info', slug=solis.slug)
+                endpoint_base = tests.utils.generic_endpoint_url('solis', 'apa-user-info', slug=solis.slug)
                 resp = app.get(endpoint_base, status=400)  # missing name_id
                 assert resp.json['err'] == 1
 
                 endpoint = endpoint_base + '?name_id=%s&user_id=53&information=%s' % (NAMEID, apa_endpoint)
-                requests_get.return_value = utils.FakedResponse(
+                requests_get.return_value = tests.utils.FakedResponse(
                     content=APAINFOS[apa_endpoint], status_code=200
                 )
                 resp = app.get(endpoint, status=200)
@@ -324,7 +324,7 @@ def test_solis_apa_link_infos_unlink(app, solis):
                 assert resp.json['data']
 
                 # solis api crash
-                requests_get.return_value = utils.FakedResponse(content='boum', status_code=500)
+                requests_get.return_value = tests.utils.FakedResponse(content='boum', status_code=500)
                 resp = app.get(endpoint, status=200)
                 assert requests_post.call_count == 2  # get a token
                 assert requests_get.call_count == 2  # get informations
@@ -333,7 +333,9 @@ def test_solis_apa_link_infos_unlink(app, solis):
                 assert resp.json['err_desc'].startswith('error status:500')
                 assert resp.json['data'] == {'json_content': None, 'status_code': 500}
 
-                requests_get.return_value = utils.FakedResponse(content='{"error":"foobar"}', status_code=500)
+                requests_get.return_value = tests.utils.FakedResponse(
+                    content='{"error":"foobar"}', status_code=500
+                )
                 resp = app.get(endpoint, status=200)
                 assert resp.json['err'] == 1
                 assert resp.json['err_desc'].startswith('error status:500')
@@ -350,12 +352,12 @@ def test_solis_apa_link_infos_unlink(app, solis):
     # get info about a specific request
     with mock.patch('passerelle.utils.Request.get') as requests_get:
         with mock.patch('passerelle.utils.Request.post') as requests_post:
-            requests_post.return_value = utils.FakedResponse(content=APATOKEN, status_code=200)
-            endpoint_base = utils.generic_endpoint_url('solis', 'apa-user-info', slug=solis.slug)
+            requests_post.return_value = tests.utils.FakedResponse(content=APATOKEN, status_code=200)
+            endpoint_base = tests.utils.generic_endpoint_url('solis', 'apa-user-info', slug=solis.slug)
 
             # via demandeUnitaire
             endpoint = endpoint_base + '?name_id=%s&user_id=53&information=demandeUnitaire&index=42' % NAMEID
-            requests_get.return_value = utils.FakedResponse(content=APAREQUEST, status_code=200)
+            requests_get.return_value = tests.utils.FakedResponse(content=APAREQUEST, status_code=200)
             resp = app.get(endpoint, status=200)
             assert requests_post.call_count == 1  # get a token
             assert requests_get.call_count == 1  # get demandeUnitaire
@@ -367,7 +369,7 @@ def test_solis_apa_link_infos_unlink(app, solis):
 
             requests_post.reset_mock()
             requests_get.reset_mock()
-            requests_get.return_value = utils.FakedResponse(content='nothing here', status_code=404)
+            requests_get.return_value = tests.utils.FakedResponse(content='nothing here', status_code=404)
             resp = app.get(endpoint, status=200)
             assert requests_post.call_count == 1  # get a token
             assert requests_get.call_count == 1  # get demandeUnitaire
@@ -398,7 +400,7 @@ def test_solis_apa_link_infos_unlink(app, solis):
                     NAMEID,
                     information,
                 )
-                requests_get.return_value = utils.FakedResponse(
+                requests_get.return_value = tests.utils.FakedResponse(
                     content=APAINFOS[information], status_code=200
                 )
                 resp = app.get(endpoint, status=200)
@@ -423,9 +425,9 @@ def test_solis_apa_link_infos_unlink(app, solis):
     change_info = APAINFOS['exportDonneesIndividu'].replace('PYPPENNE', 'PEPPYNE')
     with mock.patch('passerelle.utils.Request.get') as requests_get:
         with mock.patch('passerelle.utils.Request.post') as requests_post:
-            requests_post.return_value = utils.FakedResponse(content=APATOKEN, status_code=200)
-            requests_get.return_value = utils.FakedResponse(content=change_info, status_code=200)
-            endpoint = utils.generic_endpoint_url('solis', 'apa-users', slug=solis.slug)
+            requests_post.return_value = tests.utils.FakedResponse(content=APATOKEN, status_code=200)
+            requests_get.return_value = tests.utils.FakedResponse(content=change_info, status_code=200)
+            endpoint = tests.utils.generic_endpoint_url('solis', 'apa-users', slug=solis.slug)
             endpoint += '?name_id=%s' % NAMEID
             resp = app.get(endpoint, status=200)
             assert resp.json['err'] == 0
@@ -441,7 +443,7 @@ def test_solis_apa_link_infos_unlink(app, solis):
             ]
 
     # unlink
-    endpoint = utils.generic_endpoint_url('solis', 'apa-unlink', slug=solis.slug)
+    endpoint = tests.utils.generic_endpoint_url('solis', 'apa-unlink', slug=solis.slug)
     for bad_params in ({}, {'user_id': '42'}, {'name_id': NAMEID}):
         resp = app.post_json(endpoint, params=bad_params, status=200)
         assert resp.json['err'] == 1
@@ -466,7 +468,7 @@ def test_solis_apa_link_infos_unlink(app, solis):
     assert SolisAPALink.objects.count() == 1
 
     # can not get informations from unlinked user
-    endpoint = utils.generic_endpoint_url('solis', 'apa-user-info', slug=solis.slug)
+    endpoint = tests.utils.generic_endpoint_url('solis', 'apa-user-info', slug=solis.slug)
     endpoint += '?name_id=%s&user_id=42' % NAMEID
     resp = app.get(endpoint, status=200)
     assert resp.json['err'] == 1
@@ -483,8 +485,8 @@ def test_solis_referentiels(app, solis):
     )
 
     with mock.patch('passerelle.utils.Request.get') as requests_get:
-        requests_get.return_value = utils.FakedResponse(content=DEPARTEMENTS, status_code=200)
-        url = utils.generic_endpoint_url('solis', 'referential', slug=solis.slug)
+        requests_get.return_value = tests.utils.FakedResponse(content=DEPARTEMENTS, status_code=200)
+        url = tests.utils.generic_endpoint_url('solis', 'referential', slug=solis.slug)
 
         resp = app.get(url + '/trans/departement/', status=200)
         assert requests_get.call_count == 1
@@ -533,7 +535,7 @@ def test_solis_referentiels(app, solis):
         assert 'codePays=79' in called_url
         assert 'foo=bar' not in called_url
 
-        requests_get.return_value = utils.FakedResponse(
+        requests_get.return_value = tests.utils.FakedResponse(
             content='{"nada":0}', status_code=404, reason='Not found'
         )
         resp = app.get(url + '/foo/bar/', status=200)
@@ -542,7 +544,7 @@ def test_solis_referentiels(app, solis):
         assert resp.json['err_desc'] == "error status:404 'Not found', content:'{\"nada\":0}'"
         assert resp.json['data'] == {'json_content': {'nada': 0}, 'status_code': 404}
 
-        requests_get.return_value = utils.FakedResponse(content='crash', status_code=500, reason='boum')
+        requests_get.return_value = tests.utils.FakedResponse(content='crash', status_code=500, reason='boum')
         resp = app.get(url + '/foo/bar/', status=200)
         assert requests_get.call_args[0][0].endswith('/solisapi/referentiels/foo/bar')
         assert resp.json['err'] == 1
@@ -550,7 +552,7 @@ def test_solis_referentiels(app, solis):
         assert resp.json['data'] == {'json_content': None, 'status_code': 500}
 
         # optimized trans/lieu search
-        requests_get.return_value = utils.FakedResponse(content='{"lieux":[]}', status_code=200)
+        requests_get.return_value = tests.utils.FakedResponse(content='{"lieux":[]}', status_code=200)
         resp = app.get(url + '/trans/lieu/', status=200)
         assert requests_get.call_args[0][0].endswith('/solisapi/referentiels/trans/lieu')
         resp = app.get(url + '/trans/lieu/?codeDepartement=1&codeCommune=2&q=search', status=200)
@@ -569,26 +571,26 @@ def test_solis_referential_item(app, solis):
     )
 
     with mock.patch('passerelle.utils.Request.get') as requests_get:
-        requests_get.return_value = utils.FakedResponse(content=CIVI_INDIVIDU, status_code=200)
-        url = utils.generic_endpoint_url('solis', 'referential-item', slug=solis.slug)
+        requests_get.return_value = tests.utils.FakedResponse(content=CIVI_INDIVIDU, status_code=200)
+        url = tests.utils.generic_endpoint_url('solis', 'referential-item', slug=solis.slug)
         resp = app.get(url + '/civi/individu/4373/', status=200)
         assert requests_get.call_count == 1
         assert requests_get.call_args[0][0].endswith('/solisapi/referentiels/civi/individu/4373/')
         assert resp.json['err'] == 0
         assert resp.json['data']['etatCivil']['nom'] == 'NOM'
 
-        requests_get.return_value = utils.FakedResponse(
+        requests_get.return_value = tests.utils.FakedResponse(
             content='{"nada":0}', status_code=404, reason='Not found'
         )
-        url = utils.generic_endpoint_url('solis', 'referential-item', slug=solis.slug)
+        url = tests.utils.generic_endpoint_url('solis', 'referential-item', slug=solis.slug)
         resp = app.get(url + '/civi/individu/424242/', status=200)
         assert requests_get.call_args[0][0].endswith('/solisapi/referentiels/civi/individu/424242/')
         assert resp.json['err'] == 1
         assert resp.json['err_desc'] == "error status:404 'Not found', content:'{\"nada\":0}'"
         assert resp.json['data'] == {'json_content': {'nada': 0}, 'status_code': 404}
 
-        requests_get.return_value = utils.FakedResponse(content='["not a dict"]', status_code=200)
-        url = utils.generic_endpoint_url('solis', 'referential-item', slug=solis.slug)
+        requests_get.return_value = tests.utils.FakedResponse(content='["not a dict"]', status_code=200)
+        url = tests.utils.generic_endpoint_url('solis', 'referential-item', slug=solis.slug)
         resp = app.get(url + '/civi/individu/0/', status=200)
         assert requests_get.call_args[0][0].endswith('/solisapi/referentiels/civi/individu/0/')
         assert resp.json['err'] == 1
@@ -612,11 +614,11 @@ def test_solis_apa_integration(app, solis):
     with mock.patch('passerelle.utils.Request.post') as requests_post:
 
         def integration_ok(*args, **kwargs):
-            return utils.FakedResponse(content='', status_code=204)
+            return tests.utils.FakedResponse(content='', status_code=204)
 
-        requests_post.return_value = utils.FakedResponse(content='', status_code=204)
+        requests_post.return_value = tests.utils.FakedResponse(content='', status_code=204)
         # requests_post.side_effect = [utils.FakedResponse(content='', status_code=204)]
-        url = utils.generic_endpoint_url('solis', 'apa-integration', slug=solis.slug)
+        url = tests.utils.generic_endpoint_url('solis', 'apa-integration', slug=solis.slug)
 
         demande = {
             "beneficiaire_demande_aide": "APAD",
@@ -656,8 +658,8 @@ def test_solis_apa_integration(app, solis):
         # add files
         requests_post.reset_mock()
         requests_post.side_effect = [
-            utils.FakedResponse(content='{"id": "foo", "nbFichiersAcceptes": 3}', status_code=200),
-            utils.FakedResponse(content='', status_code=204),
+            tests.utils.FakedResponse(content='{"id": "foo", "nbFichiersAcceptes": 3}', status_code=200),
+            tests.utils.FakedResponse(content='', status_code=204),
         ]
         demande['file:etat_civil_001.pdf'] = {
             'content': 'JVBERmZha2U=',
@@ -722,8 +724,8 @@ def test_solis_apa_integration(app, solis):
         # bad file
         requests_post.reset_mock()
         requests_post.side_effect = [
-            utils.FakedResponse(content='{"id": "foo", "nbFichiersAcceptes": 0}', status_code=200),
-            utils.FakedResponse(content='', status_code=204),
+            tests.utils.FakedResponse(content='{"id": "foo", "nbFichiersAcceptes": 0}', status_code=200),
+            tests.utils.FakedResponse(content='', status_code=204),
         ]
         resp = app.post_json(url, params=demande, status=200)
         requests_post.assert_called_once()  # don't try to post request
@@ -734,8 +736,8 @@ def test_solis_apa_integration(app, solis):
         # error on sending file
         requests_post.reset_mock()
         requests_post.side_effect = [
-            utils.FakedResponse(content='{"error": 1}', status_code=500),
-            utils.FakedResponse(content='', status_code=204),
+            tests.utils.FakedResponse(content='{"error": 1}', status_code=500),
+            tests.utils.FakedResponse(content='', status_code=204),
         ]
         resp = app.post_json(url, params=demande, status=200)
         requests_post.assert_called_once()  # don't try to post request
@@ -754,7 +756,7 @@ def test_solis_rsa_link_infos_unlink(app, solis):
     # link
     with mock.patch('passerelle.utils.Request.post') as requests_post:  # get solis token
         with mock.patch('passerelle.utils.Request.get') as requests_get:  # get solis informations
-            endpoint = utils.generic_endpoint_url('solis', 'rsa-link', slug=solis.slug)
+            endpoint = tests.utils.generic_endpoint_url('solis', 'rsa-link', slug=solis.slug)
             for params in (None, '', []):
                 resp = app.post_json(endpoint, params=params, status=200)
                 assert requests_post.call_count == 0
@@ -779,7 +781,7 @@ def test_solis_rsa_link_infos_unlink(app, solis):
                 assert resp.json['err'] == 1
                 assert 'missing user_id/code credentials' in resp.json['err_desc']
 
-            requests_post.return_value = utils.FakedResponse(content=RSATOKEN_403, status_code=403)
+            requests_post.return_value = tests.utils.FakedResponse(content=RSATOKEN_403, status_code=403)
             resp = app.post_json(
                 endpoint, params={'user_id': 'x', 'code': 'x', 'name_id': NAMEID}, status=200
             )
@@ -790,8 +792,8 @@ def test_solis_rsa_link_infos_unlink(app, solis):
 
             assert SolisRSALink.objects.count() == 0
 
-            requests_post.return_value = utils.FakedResponse(content=RSATOKEN, status_code=200)
-            requests_get.return_value = utils.FakedResponse(content=CIVI_INDIVIDU, status_code=200)
+            requests_post.return_value = tests.utils.FakedResponse(content=RSATOKEN, status_code=200)
+            requests_get.return_value = tests.utils.FakedResponse(content=CIVI_INDIVIDU, status_code=200)
             resp = app.post_json(
                 endpoint, params={'name_id': NAMEID, 'user_id': '4273', 'code': 'foo'}, status=200
             )
@@ -851,7 +853,7 @@ def test_solis_rsa_link_infos_unlink(app, solis):
     # verify recorded names after link
     assert [x['text'] for x in SolisRSALink.objects.values('text')] == ['MME Prenom NOM', 'MME Prenom NOM']
 
-    endpoint = utils.generic_endpoint_url('solis', 'rsa-links', slug=solis.slug)
+    endpoint = tests.utils.generic_endpoint_url('solis', 'rsa-links', slug=solis.slug)
     resp = app.get(endpoint, status=400)  # missing name_id
     assert resp.json['err'] == 1
     endpoint += '?name_id=%s' % NAMEID
@@ -864,9 +866,9 @@ def test_solis_rsa_link_infos_unlink(app, solis):
     changed_name = CIVI_INDIVIDU.replace('Prenom', 'Postnom')
     with mock.patch('passerelle.utils.Request.get') as requests_get:
         with mock.patch('passerelle.utils.Request.post') as requests_post:
-            requests_post.return_value = utils.FakedResponse(content=RSATOKEN, status_code=200)
-            requests_get.return_value = utils.FakedResponse(content=changed_name, status_code=200)
-            endpoint = utils.generic_endpoint_url('solis', 'rsa-user-info', slug=solis.slug)
+            requests_post.return_value = tests.utils.FakedResponse(content=RSATOKEN, status_code=200)
+            requests_get.return_value = tests.utils.FakedResponse(content=changed_name, status_code=200)
+            endpoint = tests.utils.generic_endpoint_url('solis', 'rsa-user-info', slug=solis.slug)
             endpoint += '?name_id=%s&user_id=4242' % NAMEID
             resp = app.get(endpoint, status=200)
             assert resp.json['err'] == 0
@@ -877,14 +879,14 @@ def test_solis_rsa_link_infos_unlink(app, solis):
     # get referential for a linked user
     with mock.patch('passerelle.utils.Request.get') as requests_get:
         with mock.patch('passerelle.utils.Request.post') as requests_post:
-            requests_post.return_value = utils.FakedResponse(content=RSATOKEN, status_code=200)
+            requests_post.return_value = tests.utils.FakedResponse(content=RSATOKEN, status_code=200)
 
-            endpoint_base = utils.generic_endpoint_url('solis', 'rsa-user-info', slug=solis.slug)
+            endpoint_base = tests.utils.generic_endpoint_url('solis', 'rsa-user-info', slug=solis.slug)
             resp = app.get(endpoint_base, status=400)  # missing name_id
             assert resp.json['err'] == 1
 
             endpoint = endpoint_base + '?name_id=%s&user_id=4242&information=allocataires' % NAMEID
-            requests_get.return_value = utils.FakedResponse(content=RSAALLOCATAIRES, status_code=200)
+            requests_get.return_value = tests.utils.FakedResponse(content=RSAALLOCATAIRES, status_code=200)
             resp = app.get(endpoint, status=200)
             assert requests_post.call_count == 1  # get a token
             assert requests_get.call_count == 1  # get informations
@@ -893,7 +895,7 @@ def test_solis_rsa_link_infos_unlink(app, solis):
             assert resp.json['data']
 
             # solis api crash
-            requests_get.return_value = utils.FakedResponse(content='boum', status_code=500)
+            requests_get.return_value = tests.utils.FakedResponse(content='boum', status_code=500)
             resp = app.get(endpoint, status=200)
             assert requests_post.call_count == 2  # get a token
             assert requests_get.call_count == 2  # get informations
@@ -902,7 +904,9 @@ def test_solis_rsa_link_infos_unlink(app, solis):
             assert resp.json['err_desc'].startswith('error status:500')
             assert resp.json['data'] == {'json_content': None, 'status_code': 500}
 
-            requests_get.return_value = utils.FakedResponse(content='{"error":"foobar"}', status_code=500)
+            requests_get.return_value = tests.utils.FakedResponse(
+                content='{"error":"foobar"}', status_code=500
+            )
             resp = app.get(endpoint, status=200)
             assert resp.json['err'] == 1
             assert resp.json['err_desc'].startswith('error status:500')
@@ -919,10 +923,10 @@ def test_solis_rsa_link_infos_unlink(app, solis):
     # get actions, with filters
     with mock.patch('passerelle.utils.Request.get') as requests_get:
         with mock.patch('passerelle.utils.Request.post') as requests_post:
-            requests_post.return_value = utils.FakedResponse(content=RSATOKEN, status_code=200)
-            endpoint_base = utils.generic_endpoint_url('solis', 'rsa-user-info', slug=solis.slug)
+            requests_post.return_value = tests.utils.FakedResponse(content=RSATOKEN, status_code=200)
+            endpoint_base = tests.utils.generic_endpoint_url('solis', 'rsa-user-info', slug=solis.slug)
             endpoint = endpoint_base + '?name_id=%s&user_id=4242&information=actions' % NAMEID
-            requests_get.return_value = utils.FakedResponse(content=RSA_ACTIONS, status_code=200)
+            requests_get.return_value = tests.utils.FakedResponse(content=RSA_ACTIONS, status_code=200)
             resp = app.get(endpoint, status=200)
             assert requests_post.call_count == 1  # get a token
             assert requests_get.call_count == 1  # get actions
@@ -952,9 +956,9 @@ def test_solis_rsa_link_infos_unlink(app, solis):
 
             requests_get.reset_mock()
             requests_get.side_effect = [
-                utils.FakedResponse(status_code=200, content=RSA_ACTIONS),  # base info
-                utils.FakedResponse(status_code=200, content='{"nom":"Structure1"}'),  # link 1
-                utils.FakedResponse(status_code=200, content='{"nom":"Structure2"}'),  # link 2
+                tests.utils.FakedResponse(status_code=200, content=RSA_ACTIONS),  # base info
+                tests.utils.FakedResponse(status_code=200, content='{"nom":"Structure1"}'),  # link 1
+                tests.utils.FakedResponse(status_code=200, content='{"nom":"Structure2"}'),  # link 2
             ]
             filtered = endpoint + '&links'
             resp = app.get(filtered, status=200)
@@ -968,13 +972,13 @@ def test_solis_rsa_link_infos_unlink(app, solis):
     # get referential for a linked user with links
     with mock.patch('passerelle.utils.Request.get') as requests_get:
         with mock.patch('passerelle.utils.Request.post') as requests_post:
-            requests_post.return_value = utils.FakedResponse(content=RSATOKEN, status_code=200)
-            endpoint_base = utils.generic_endpoint_url('solis', 'rsa-user-info', slug=solis.slug)
+            requests_post.return_value = tests.utils.FakedResponse(content=RSATOKEN, status_code=200)
+            endpoint_base = tests.utils.generic_endpoint_url('solis', 'rsa-user-info', slug=solis.slug)
 
             requests_get.side_effect = [
-                utils.FakedResponse(status_code=200, content=RSAALLOCATAIRES),  # base info
-                utils.FakedResponse(status_code=200, content=CIVI_INDIVIDU),  # link 1
-                utils.FakedResponse(status_code=200, content=CIVI_INDIVIDU),
+                tests.utils.FakedResponse(status_code=200, content=RSAALLOCATAIRES),  # base info
+                tests.utils.FakedResponse(status_code=200, content=CIVI_INDIVIDU),  # link 1
+                tests.utils.FakedResponse(status_code=200, content=CIVI_INDIVIDU),
             ]  # link 2
             endpoint = endpoint_base + '?name_id=%s&user_id=4242&information=allocataires&links' % NAMEID
             resp = app.get(endpoint, status=200)
@@ -988,10 +992,10 @@ def test_solis_rsa_link_infos_unlink(app, solis):
             requests_post.reset_mock()
             requests_get.reset_mock()
             requests_get.side_effect = [
-                utils.FakedResponse(status_code=200, content=RSA_3LINKS),  # base info
-                utils.FakedResponse(status_code=200, content=CIVI_INDIVIDU),  # link 1
-                utils.FakedResponse(status_code=200, content=CIVI_INDIVIDU),  # link 2.1
-                utils.FakedResponse(status_code=200, content=CIVI_INDIVIDU),
+                tests.utils.FakedResponse(status_code=200, content=RSA_3LINKS),  # base info
+                tests.utils.FakedResponse(status_code=200, content=CIVI_INDIVIDU),  # link 1
+                tests.utils.FakedResponse(status_code=200, content=CIVI_INDIVIDU),  # link 2.1
+                tests.utils.FakedResponse(status_code=200, content=CIVI_INDIVIDU),
             ]  # link 2.2
             endpoint = endpoint_base + '?name_id=%s&user_id=4242&information=evaluations&links' % NAMEID
             resp = app.get(endpoint, status=200)
@@ -1006,8 +1010,8 @@ def test_solis_rsa_link_infos_unlink(app, solis):
             requests_post.reset_mock()
             requests_get.reset_mock()
             requests_get.side_effect = [
-                utils.FakedResponse(status_code=200, content=RSAALLOCATAIRES),  # base info
-                utils.FakedResponse(status_code=200, content=CIVI_INDIVIDU),
+                tests.utils.FakedResponse(status_code=200, content=RSAALLOCATAIRES),  # base info
+                tests.utils.FakedResponse(status_code=200, content=CIVI_INDIVIDU),
             ]  # link 1
             endpoint = (
                 endpoint_base
@@ -1024,9 +1028,9 @@ def test_solis_rsa_link_infos_unlink(app, solis):
             requests_post.reset_mock()
             requests_get.reset_mock()
             requests_get.side_effect = [
-                utils.FakedResponse(status_code=200, content=RSAALLOCATAIRES),  # base info
-                utils.FakedResponse(status_code=404, content='{"foo": "bar"}'),  # link 1
-                utils.FakedResponse(status_code=500, content='boom'),
+                tests.utils.FakedResponse(status_code=200, content=RSAALLOCATAIRES),  # base info
+                tests.utils.FakedResponse(status_code=404, content='{"foo": "bar"}'),  # link 1
+                tests.utils.FakedResponse(status_code=500, content='boom'),
             ]  # link 2
             endpoint = endpoint_base + '?name_id=%s&user_id=4242&information=allocataires&links' % NAMEID
             resp = app.get(endpoint, status=200)
